<?php
/*
Plugin Name: Wx1-MordaLink
Description: Плагин выводит на главной странице внизу футера перелинковку с 450 последними записями сайта.
Version: 1.0.2 (02-02-2023)
Author: Wx1000
Author URI: https://wx1.ru/
*/



//ini_set('display_errors', '1');
//ini_set('error_reporting', E_ALL);


// Stop direct call
if(preg_match('#' . basename(__FILE__) . '#', $_SERVER['PHP_SELF'])) { die('You are not allowed to call this page directly.'); }

if (!class_exists('MordaLink')) {
 class MordaLink {
 
	## Хранение внутренних данных
	public $data = array();
	
	## Конструктор объекта
	## Инициализация основных переменных
	function MordaLink()
	{
		global $wpdb;
		
		## Объявляем константу инициализации нашего плагина
		DEFINE('MordaLink', true);
		
		## Название файла нашего плагина 
		$this->plugin_name = plugin_basename(__FILE__);
		
		## URL адресс для нашего плагина
		$this->plugin_url = trailingslashit(WP_PLUGIN_URL.'/'.dirname(plugin_basename(__FILE__)));
		
		 
		## Функция которая исполняется при активации плагина
		register_activation_hook( $this->plugin_name, array(&$this, 'activate') );
		
		## Функция которая исполняется при деактивации плагина
		register_deactivation_hook( $this->plugin_name, array(&$this, 'deactivate') );
		
		##  Функция которая исполняется удалении плагина
		register_uninstall_hook( $this->plugin_name, array(&$this, 'uninstall') );
		
 	}
	
  
	/**
	 * Активация плагина
	 */
	function activate() 
	{
		global $wpdb;
		
	 
		return true;
	}
	
	function deactivate() 
	{
		return true;
	}
	
	/**
	 * Удаление плагина
	 */
	function uninstall() 
	{
		return true;
	}
	

 }
}

global $reviews;
$reviews = new MordaLink();

 
 
 //  фильтр для вывода на морде
 
add_action( 'wp_footer', 'MordaLink_addMordaLink', 99 );
function MordaLink_addMordaLink(){
	if( is_front_page() OR is_home() ) {
		
		// исключим посты главного запроса (wp_query)
		$IDs = array();
		foreach( $GLOBALS['wp_query']->posts as $post ) $IDs []= $post->ID;
		
		
		echo'<div class="wxMordaLink">';
		$args = array(
			'numberposts' => 450,
			'post_status' => 'publish',
			'orderby'          => 'post_date',
			'order'            => 'DESC',
			'post_type'        => 'post',
			'post__not_in'	=> $IDs,
	);
		$result = wp_get_recent_posts( $args );

		foreach( $result as $p ){
			echo ' <a href="' . get_permalink($p["ID"]) . '" title="'.$p["post_title"].'" >'.$p["ID"].'</a> ';
		}
		 
		 echo'</div>
		 
		 <style>
			.wxMordaLink{max-width:100%; padding: 1em 5em; background-color:#d2d2d2;color:#666666;font-size:0.7em; line-height: 1;}
			.wxMordaLink a,.wxMordaLink a:hover{color:#666666;font-size:0.7em; text-decorarion:none;}
		 </style>
		 
		 
		 
		 ';
	}
 
}

?>